jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * media frame for widget image selection
    *
    */

    var ueldo_media_frame;
    $( 'body' ).on( 'click', '.ueldo-media-button', function( event ) {

        event.preventDefault();
        var button = $( this );

        ueldo_media_frame = wp.media({
            title: ueldo_javascript_admin_functions_l10n.media_title,
            button: { text: ueldo_javascript_admin_functions_l10n.button },
            multiple: false
        });

        ueldo_media_frame.on( 'select', function() {

            var image_preview = button.siblings( '.ueldo-custom-widget-form-image-preview' );
            var attachment = ueldo_media_frame.state().get( 'selection' ).first().toJSON();

            button.siblings( '.ueldo-media-url' ).attr( 'value', attachment.url ).val( attachment.url );

            if( image_preview.length == 0 ) button.parent().prepend( '<div class="ueldo-custom-widget-form-image-preview"><img src="'+ attachment.url +'" /></div>' );
            else image_preview.children( 'img' ).attr( 'src', attachment.url );

        });

        ueldo_media_frame.open();

    });

   /**
    *
    * end of the file.
    *
    */

});