jQuery( document ).ready( function( $ ) {

   /**
    *
    * strict mode
    *
    */

    'use strict';

   /**
    *
    * validate number fields live
    *
    */

    $( 'body' ).on( 'input', '#customize-controls .ueldo-customizer-px-field-container input.ueldo-validate-number-field, #customize-controls .ueldo-customizer-line-height-field-container input.ueldo-validate-number-field', function() {

        var field = $( this );
        field.attr( 'disabled', true ).prop( 'disabled', true );

        var fieldValue = field.val();
        var minusAllowed = field.data( 'number-field-minus-allowed' );
        var decimalsAllowed = field.data( 'number-field-decimals-allowed' );
        var dotFound = false;
        var correctValue = '';

        for( var i = 0; i < fieldValue.length; i++ ) {

            var correct = $.inArray( fieldValue[i].toString(), [ '1', '2', '3', '4', '5', '6', '7', '8', '9', '0' ] ) != -1;

            if( correct == true ) correctValue += fieldValue[i].toString();
            else {

                if( i == 0 && fieldValue[i].toString() == '-' && minusAllowed == 'yes' ) correctValue += fieldValue[i].toString();
                else if( decimalsAllowed == 'yes' && fieldValue[i].toString() == '.' && dotFound == false && i > 0 ) {

                    dotFound = true;
                    correctValue += fieldValue[i].toString();
                }
            }
        }

        field.attr( 'value', correctValue ).val( correctValue ).attr( 'disabled', false ).prop( 'disabled', false ).focus();

    });

    $( 'body' ).on( 'focusout', '#customize-controls .ueldo-customizer-px-field-container input.ueldo-validate-number-field, #customize-controls .ueldo-customizer-line-height-field-container input.ueldo-validate-number-field', function() {

        var field = $( this );
        var fieldValue = field.val();
        var decimalsAllowed = field.data( 'number-field-decimals-allowed' );
        var parsedValue = decimalsAllowed ? parseFloat( fieldValue ) : parseInt( fieldValue, 10 );

        if( fieldValue == '' || fieldValue == '-' || fieldValue == '.' ) field.attr( 'value', '0' ).val( '0' );
        if( fieldValue != '0' ) {

            if( fieldValue[0] == '-' ) field.attr( 'value', parsedValue ).val( parsedValue );
            else if( fieldValue[0] == '0' ) {

                if( decimalsAllowed == 'no' ) field.attr( 'value', parsedValue ).val( parsedValue );
                else {

                    if( fieldValue.indexOf( '.' ) !== 1 ) field.attr( 'value', parsedValue ).val( parsedValue );
                }
            }

            else if( fieldValue[( fieldValue.length - 1)] == '.' ) {

                field.attr( 'value', parsedValue ).val( parsedValue );
            }
        }

    });

   /**
    *
    * end of jquery functions.
    *
    */

});