<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="retina-images-replacement">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Retina images replacement', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'If this option is enabled, script checks each image on each page to see if there\'s a high-resolution version of that image on your server. If a high-resolution variant exists, the script will swap in that image in-place.', 'ueldo' ) ); ?> <a href="<?php echo esc_url( ueldo_get_external_url( 'theme-online-documentation-retina-ready' ) ); ?>" target="_blank"><?php echo esc_html( __( 'Find out more in theme documentation', 'ueldo' ) ); ?></a>.</p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[retina-images-replacement][enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'retina-images-replacement', false, 'enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'retina-images-replacement', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'retina-images-replacement', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

    </div>

</div>