<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="twitter-api">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Twitter API keys', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'You can set here your Twitter API keys, which will be used to get latest tweets from selected Twitter account.', 'ueldo' ) ); ?> <a href="<?php echo esc_url( ueldo_get_external_url( 'how-to-get-twitter-api-key' ) ); ?>" target="_blank"><?php echo esc_html( __( 'How to get an API key?', 'ueldo' ) ); ?></a></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Twitter OAuth key:', 'ueldo' ) ); ?></h4>
            <input type="text" name="ueldo_theme_options[twitter-api][oauth-key]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'twitter-api', false, 'oauth-key' ) ); ?>" />

            <h4><?php echo esc_html( __( 'Twitter OAuth secret key:', 'ueldo' ) ); ?></h4>
            <input type="text" name="ueldo_theme_options[twitter-api][oauth-secret-key]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'twitter-api', false, 'oauth-secret-key' ) ); ?>" />

        </div>

    </div>

</div>