<?php

   /**
    *
    * custom woocommerce functions
    *
    */

    function ueldo_get_woocommerce_page_slug() {

        # do we have woocommerce plugin activated?
        if( ueldo_plugins::is_active_plugin( 'woocommerce' ) ) {

            # is single product page?
            if( is_product() ) return( 'single-product-sidebar' );

            # is cart page?
            if( is_cart() ) return( 'cart-page-sidebar' );

            # is checkout page?
            if( is_checkout() ) return( 'checkout-page-sidebar' );

            # is account page?
            if( is_account_page() ) return( 'account-page-sidebar' );

            # is shop page?
            if( is_shop() ) return( 'products-list-sidebar' );
        }

        # unknown
        return( false );
    }

   /**
    *
    * end of file.
    *
    */

?>