<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>

    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <?php wp_head(); ?>

</head>
<body <?php body_class(); ?>>

    <div id="fb-root">
    </div>

    <?php

        # display loader animation
        ueldo_display_loader_animation();

        # display side menu
        ueldo_display_side_menu();

    ?>

    <div id="ueldo-website-content-container" class="ueldo-website-content-container">

        <div class="ueldo-website-wrapper ueldo-website-wrapper-<?php echo esc_attr( ueldo_get_theme_options_value( 'boxed-website', false, 'enabled' ) == 'yes' ? 'boxed' : 'full-width' ); ?>">

            <?php

                # display header bar
                ueldo_display_header_bar();

            ?>

            <div id="ueldo-website-content-wrapper">