<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'heading_text_type' => 'custom_text',
       'heading_text' => esc_html( __( 'Hello!', 'ueldo' ) ),
       'counter_value' => '3500',
       'counter_duration' => '2000'
    ), $atts ));

?>
<span class="ueldo-shortcode-heading-text <?php echo esc_attr( $class_name ); ?>"><?php ueldo_display_heading_text_content( $heading_text_type, $heading_text, $counter_value, $counter_duration ); ?> </span>
<?php

    # clear the variables
    unset( $class_name, $heading_text_type, $heading_text );

?>