<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'opening_hours_element_title' => esc_html( __( 'Monday - Friday', 'ueldo' ) ),
       'opening_hours_element_value' => esc_html( __( '10:00am - 11:00pm', 'ueldo' ) )
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-opening-hours-box-element <?php echo esc_attr( esc_attr( $class_name ) ); ?>">

    <span class="ueldo-shortcode-opening-hours-box-element-title"><?php echo esc_html( $opening_hours_element_title ); ?></span>
    <span class="ueldo-shortcode-opening-hours-box-element-value"><?php echo esc_html( $opening_hours_element_value ); ?></span>

</div>
<?php

    # clear the variables
    unset( $class_name, $opening_hours_element_title, $opening_hours_element_value );

?>