<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'modal_position' => 'top',
       'modal_window_to_full_width_from' => 'extra-small'
    ), $atts ));

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-presentation-point-of-interest <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-full-width-from="<?php echo esc_attr( $modal_window_to_full_width_from ); ?>">

    <div class="ueldo-shortcode-presentation-point-of-interest-inner">
    </div>

    <div class="ueldo-shortcode-presentation-point-of-interest-content ueldo-shortcode-presentation-point-of-interest-content-on-<?php echo esc_attr( $modal_position ); ?>">

        <div class="ueldo-shortcode-presentation-point-of-interest-content-modal-close">

            <div class="ueldo-shortcode-presentation-point-of-interest-content-modal-close-inner">
            </div>

        </div>

        <div class="ueldo-shortcode-presentation-point-of-interest-content-inner">

            <?php

                # display shortcode elements
                echo apply_filters( 'the_content', $content );

            ?>

        </div>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $modal_position, $modal_window_to_full_width_from );

?>