<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'title' => esc_html( __( 'Offer title', 'ueldo' ) ),
       'price' => esc_html( __( '$19', 'ueldo' ) )
    ), $atts ));

?>
<li class="ueldo-shortcode-pricing-list-attribute <?php echo esc_attr( $class_name ); ?>">

    <span class="ueldo-shortcode-pricing-list-attribute-title"><?php echo esc_html( $title ); ?></span>
    <span class="ueldo-shortcode-pricing-list-attribute-price"><?php echo esc_html( $price ); ?></span>

</li>
<?php

    # clear the variables
    unset( $class_name, $title, $price );

?>