<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="comment-textarea-at-top">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Textarea field in comment reply form', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Do you want to display textarea field at the top of comments form (WordPress default) or at the bottom (theme default)?', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Display textarea field at the top of comment reply form:', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[comment-textarea-at-top]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'comment-textarea-at-top' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'comment-textarea-at-top' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'comment-textarea-at-top' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

    </div>

</div>