<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="featured-image-on-lists-only">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Featured image on lists only', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'Do you want to display article featured image on posts/pages lists only? This mean that on single post/page the featured image will not be displayed.', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Display featured image on posts/pages lists only', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[featured-image-on-lists-only]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'featured-image-on-lists-only' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'featured-image-on-lists-only' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'featured-image-on-lists-only' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

    </div>

</div>