<?php

    # prevent direct file access
    if( !defined( 'ABSPATH' ) ) exit;

?>
<div class="ueldo-theme-options-single-option" data-option-key="local-scrolling-links-animation">

    <div class="ueldo-theme-options-single-option-padding">

        <h3><?php echo esc_html( __( 'Local scrolling links animation', 'ueldo' ) ); ?></h3>
        <p><?php echo esc_html( __( 'If this option is enabled, scroll animation to the local sections will be handle by theme functions instead of default Visual Composer function (theme functions are quite more smooth).', 'ueldo' ) ); ?></p>

    </div>

    <div class="ueldo-theme-options-single-option-form">

        <div class="ueldo-theme-options-single-option-field-group">

            <h4><?php echo esc_html( __( 'Enabled?', 'ueldo' ) ); ?></h4>
            <div class="ueldo-theme-options-yn-field">

                <input type="hidden" name="ueldo_theme_options[local-scrolling-links-animation][enabled]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'local-scrolling-links-animation', false, 'enabled' ) ); ?>" />

                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'local-scrolling-links-animation', false, 'enabled' ) == 'yes' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="yes"><?php echo esc_html( __( 'Yes', 'ueldo' ) ); ?></div>
                <div class="ueldo-theme-options-yn-field-option <?php echo esc_attr( ueldo_get_theme_options_value( 'local-scrolling-links-animation', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-yn-field-option-selected' : '' ); ?>" data-option-value="no"><?php echo esc_html( __( 'No', 'ueldo' ) ); ?></div>

            </div>

        </div>

        <div class="ueldo-theme-options-single-option-field-group ueldo-theme-options-field-depended <?php echo esc_attr( ueldo_get_theme_options_value( 'local-scrolling-links-animation', false, 'enabled' ) == 'no' ? 'ueldo-theme-options-field-depended-hidden' : '' ); ?>">

            <h4><?php echo esc_html( __( 'Animation speed value', 'ueldo' ) ); ?></h4>
            <p class="ueldo-theme-options-single-option-field-tip"><?php echo esc_html( __( 'Put the value in miliseconds here: for example "1000" means 1 second.', 'ueldo' ) ); ?></p>

            <input type="text" class="ueldo-validate-number-field" data-number-field-minus-allowed="no" name="ueldo_theme_options[local-scrolling-links-animation][animation-speed]" value="<?php echo esc_attr( ueldo_get_theme_options_value( 'local-scrolling-links-animation', false, 'animation-speed' ) ); ?>" />

        </div>

    </div>

</div>