<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'animation_type' => 'one_per_time',
       'start_with' => 'first_opened',
       'single_element_title_heading_type' => 'h6'
    ), $atts ));

    # global variables
    global $ueldo_store_custom_variables;

    # store variable value
    $ueldo_store_custom_variables -> set_variable( 'accordion_single_element_title_heading_type', $single_element_title_heading_type );

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-accordion <?php echo esc_attr( esc_attr( $class_name ) ); ?>" data-start-with="<?php echo esc_attr( $start_with ); ?>" data-animation-type="<?php echo esc_attr( $animation_type ); ?>">

    <?php

        # display shortcode elements
        echo apply_filters( 'the_content', $content );

    ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $animation_type, $start_with );

?>