<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'title' => esc_html( __( 'High qualified team', 'ueldo' ) )
    ), $atts ));

    # global variables
    global $ueldo_store_custom_variables;

    # get the heading type
    $heading_type = $ueldo_store_custom_variables -> get_variable( 'accordion_single_element_title_heading_type' );

   /**
    *
    * display shortcode
    *
    */

?>
<div class="ueldo-shortcode-accordion-single-element ueldo-shortcode-accordion-single-element-inactive <?php echo esc_attr( esc_attr( $class_name ) ); ?>">

    <div class="ueldo-shortcode-accordion-single-element-title">

        <<?php echo esc_attr( $heading_type ); ?>>

            <span class="ueldo-shortcode-accordion-single-element-title-accordion-status">
            </span>

            <?php echo esc_html( $title ); ?>

        </<?php echo esc_attr( $heading_type ); ?>>

    </div>

    <div class="ueldo-shortcode-accordion-single-element-content">

        <?php

            # display shortcode elements
            echo apply_filters( 'the_content', $content );

        ?>

    </div>

</div>
<?php

    # clear the variables
    unset( $class_name, $title );

?>