<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => '',
       'vertical_alignment' => 'middle'
    ), $atts ));

    # get shortcode class
    $shortcode_class = 'ueldo-shortcode-inline-container';

    # add vertical alignment setting to class
    switch( $vertical_alignment ) {

        case 'top': $shortcode_class .= ' ueldo-shortcode-inline-container-vertical-align-top'; break;
        case 'middle': $shortcode_class .= ' ueldo-shortcode-inline-container-vertical-align-middle'; break;
        case 'bottom': $shortcode_class .= ' ueldo-shortcode-inline-container-vertical-align-bottom'; break;
    }

    # update shortcode class with unique class ID
    $shortcode_class .= ' '. esc_attr( $class_name );

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <?php echo apply_filters( 'the_content', $content ); ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $vertical_alignment, $shortcode_class );

?>