<?php

   /**
    *
    * prepare the data for shortcode
    *
    */

    # extract shortcode arguments
    extract( shortcode_atts( array(
       'class_name' => ''
    ), $atts ));

    # get shortcode class
    $shortcode_class = 'ueldo-shortcode-inline-container-element';

    # update shortcode class with unique class ID
    $shortcode_class .= ' '. esc_attr( $class_name );

?>
<div class="<?php echo esc_attr( $shortcode_class ); ?>">

    <?php echo apply_filters( 'the_content', $content ); ?>

</div>
<?php

    # clear the variables
    unset( $class_name, $shortcode_class );

?>